.format-focus.path-mod .focus-activity-header i,
.format-focus.path-mod .btn-start-course {
    display: none;
}

.format-focus .activity_nav_list .panel li.activity.active:before {
    display: none !important;
}

/******************************************
 *    STRUCTURE GLOBALE / MISE EN PAGE
 ******************************************/

/* Pour éviter de voir le déplacement js */
.format-focus:has(.eticeo-focus-course) #region-main>*:not(.course-content):not(:has(.eticeo-focus-course)),
.format-focus:has(.eticeo-focus-course) .modified,
.format-focus:has(.eticeo-focus-course) #region-main>[role="main"]>*:not(.course-content):not(.eticeo-focus-course),
.format-focus:has(.eticeo-focus-course) .block_settings,
.format-focus .focus-course-main-content>h2,
.format-focus .activity-header,
.eticeo-focus-course .eticeo-focus-course {
    display: none;
}

/* Reset */

.format-focus #eticeo_header h2 {
    display: none !important;
    padding-left: 40px;
}

#page-course-view-focus #page-second-header,
.format-focus .drawer-left-toggle,
.eticeo-focus-course .activity_footer.activity-navigation:not(.focus-activity-navigation),
.eticeo-focus-course .jumpnav,
.eticeo-focus-course .activity_nav_list .section .activity .inplaceeditable .quickeditlink,
.format-focus .drawer-left-toggle,
.format-focus #sticky-footer {
    display: none !important;
}

.format-focus.path-mod [id^="course-format-"],
.format-focus .focus-course-left-panel .activity-grid .activity-completion,
.format-focus .focus-course-left-panel .activity-item.focus-control,
.eticeo-focus-course .activity_nav_list .activityiconcontainer,
.eticeo-focus-course .activity_nav_list .media-body .text-uppercase.small,
.eticeo-focus-course .activity_nav_list .activityinstance .instancename .accesshide,
body.format-focus .eti_course_content .activitytitle .media-body .text-uppercase.small,
.format-focus #page-header,
.format-focus .secondary-navigation,
.format-focus.path-mod .activity-navigation.container-fluid,
.format-focus .activity_nav_list .details:not(:has(#accordion-0)),
.format-focus.path-course .focus-course-title p,
.format-focus .drawer-left,
.focus-course-main-content>h1.h2,
.eticeo-focus-course #maincontent+h2 {
    display: none;
}

.format-focus .block {
    border: none !important;
    box-shadow: none !important;
}

.format-focus.path-mod .nav_icon:hover,
.format-focus.path-mod .activity_navigation a:hover,
.format-focus.path-mod .nav_icon:hover i::before,
.format-focus.path-mod .focus-course-title a:hover h2,
.format-focus.path-mod .focus-course-title a:hover,
.format-focus .activity_nav_list a:hover,
.format-focus .activity_nav_list .activityinstance .instancename:hover,
.format-focus .section .activity .activityinstance a:hover span {
    text-decoration: none !important;
}

/* Structure */

.format-focus #page {
    margin-left: 0 !important;
    padding: 0 !important;
    margin-top: 0 !important;
    padding-bottom: var(--space-2xl) !important;
}

.format-focus .focus-course-row {
    display: grid !important;
    grid-template-columns: auto minmax(0, 1fr);
    grid-template-rows: auto 1fr;
    margin: 0;
}

.format-focus.path-course .focus-course-row {
    margin: 10px;
}

.format-focus.path-mod .focus-course-row {
    border: none !important;
    box-shadow: none !important;
    padding: 0 !important;
    background-color: transparent !important;
    gap: var(--space-sm) !important;
}

/* Encadrés */

.format-focus .activity_nav_list,
.format-focus .focus-course-row {
    border: var(--blocborder_border);
    box-shadow: var(--blocborder_shadow);
    border-radius: var(--blocborderradius);
    background-color: var(--bg_niv_1) !important;
}

.format-focus.path-mod .focus-course-title,
.format-focus.path-mod .focus-course-main-content,
.format-focus.path-mod .focus-activity-header,
.format-focus.path-mod .focus-course-left-panel .activity_nav_list {
    border-radius: var(--blocborderradius) !important;
}

.format-focus.path-mod .focus-course-title,
.format-focus.path-mod .focus-activity-header,
.format-focus.path-mod .focus-course-title,
.format-focus.path-mod .focus-course-main-content,
.format-focus.path-mod .focus-activity-header,
.format-focus.path-mod .focus-course-left-panel .activity_nav_list,
.format-focus .focus-course-left-panel .activity_nav_list,
.format-focus .focus-course-row {
    border: var(--blocborder_border);
    box-shadow: var(--blocborder_shadow);
    border-radius: var(--blocborderradius);
    background-color: var(--bg_niv_1);
}

/* Autres */

.alert-container {
    width: 100%;
    position: absolute;
    bottom: 50%;
}

.alert-container .alert {
    margin: auto;
    width: fit-content;
}

#participantsform .no-overflow {
    overflow: auto !important;
}

.format-focus .learning-objectives-main-page .btn-start-course {
    position: absolute;
    bottom: 5%;
    right: 20%;
}

.format-focus #page.drawers {
    margin: 0;
}

/******************************************
 *            FIL D'ARIANNE
 ******************************************/

.format-focus .focus-course-breadcrumb {
    margin: 0 16px 27px;
}

.format-focus .course-breadcrumb,
.format-focus .course-breadcrumb a,
.format-focus .breadcrumb,
.format-focus .breadcrumb a {
    color: #808080;
    padding: 0 5px;
    font-size: var(--texte_s_size);
    line-height: var(--texte_s_lh);
    font-family: var(--texte_s_ff);
    font-weight: var(--texte_reg);
}

/******************************************
 * COURSE TITLE
 ******************************************/

.format-focus .focus-course-title {
    margin: 20px 0;
    align-items: center;
    border-bottom: 1px solid #f0f0f0;
    padding: 20px;
    gap: var(--space-lg);
}

.format-focus .focus-course-title h2 {
    font-size: var(--titre_s_size);
    line-height: var(--titre_s_lh);
    font-weight: var(--texte_sb);
    font-family: var(--titre_s_ff);
    color: var(--font_primary);
}

.format-focus .focus-course-title .eticeoAdvancementCourse div.row {
    width: auto;
    justify-content: space-between;
}

.format-focus .focus-course-title .eticeoAdvancementCourse .time_tracker {
    position: static;
    font-size: var(--texte_m_size);
}

.format-focus .eticeoAdvancementCourse {
    padding: 10px 0;
}

.format-focus .eticeoAdvancementCourse>.row>div {
    padding: 0;
}

.format-focus .progressPercentage {
    color: var(--font_primary);
    font-weight: var(--texte_reg);
    text-align: left;
    font-size: var(--texte_m_size);
}

.format-focus .eticeoProgressBar {
    border: 1px solid #dadada;
    border-radius: 30px;
    height: 6px;
    background-color: #e9e9e9;
}

.format-focus .eticeoProgressBar .progress-bar {
    width: 100%;
}

.format-focus.path-course .eticeoAdvancementCourse {
    width: 100%;
}

.format-focus.path-course .focus-course-title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    max-height: fit-content;
    grid-row: 1;
    grid-column: 1 / -1;
}

.format-focus.path-course .focus-course-title h2 {
    padding: 0 40px;
}

.format-focus.path-mod .focus-course-title {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    grid-row: 1;
    grid-column: 1;
    margin: 0 20px;
    width: 400px;
    align-items: start !important;
    color: #707070 !important;
    gap: var(--space-md) !important;
    padding: 0 !important;
}

.format-focus.path-mod .focus-course-title>p,
.format-focus.path-mod .eticeo-focus-course:not(.eticeo-focus-course-mode1) .focus-course-title>div,
.format-focus.path-mod .focus-course-title>a {
    padding: var(--space-lg) !important;
}

.format-focus.path-mod .focus-course-title p.p_course_name {
    color: var(--act_disabled__fg);
}

.format-focus.path-mod .focus-course-title p {
    margin-bottom: 0 !important;
    padding-bottom: 0 !important;
}

.format-focus.path-mod .focus-course-title a {
    padding-top: var(--space-3xs) !important;
}

.format-focus.path-mod .eticeoAdvancementCourse {
    padding: 0;
    width: 100%;
}

/* Zone de démarrage du cours (progression et bouton démarrer le cours) */

.format-focus .start-course-container {
    min-width: max-content;
}

.format-focus .course_timespent {
    display: flex;
    justify-content: end;
}

.format-focus.path-course .focus-course-title .start-course-container {
    border: var(--blocborder_border);
    margin: 10px;
}

.format-focus.path-course .start-course-container {
    padding: 20px;
    border-radius: var(--blocborderradius);
    box-shadow: var(--blocborder_shadow);
    background-color: var(--bg_niv_1);
}

.format-focus.path-mod .start-course-container {
    background-color: transparent !important;
    width: 100%;
    border-radius: 0 0 var(--blocborderradius) var(--blocborderradius) !important;
    padding: 16px;
    margin: 0 !important;
    gap: var(--space-sm) !important;
}

.format-focus .btn-start-course {
    display: flex;
    background-color: var(--act_primary__bg);
    color: var(--act_primary__fg);
    padding: 8px 27px;
    z-index: 2;
    border: none;
    margin: 10px auto;
    border-radius: var(--blocborderradius);
}

.format-focus .btn-start-course span.text-btn-start-course {
    display: flex;
    font-size: var(--texte_m_size);
}

.format-focus .btn-start-course i {
    margin-left: 15px;
    font-size: 25px;
}

/******************************************
 *           PAGES SPECIFIQUES
 ******************************************/

/* Resources */

.format-focus #resourceobject,
#page-mod-resource-view.format-focus iframe {
    min-height: 80dvh;
    max-width: 100%;
}

.format-focus .download-pdf-wrapper {
    display: flex;
    justify-content: end;
    background: var(--font_secondary);
    padding: 8px;
}

.format-focus .download-pdf-wrapper a i {
    color: var(--font_reverse) !important;
    font-size: var(--texte_l_size);
}

/* Quiz */

.format-focus.path-mod-quiz .focus-course-main-content {
    border: none !important;
    box-shadow: none !important;
    background-color: transparent !important;
    padding: 0 !important;
}

#page-mod-quiz-edit .inplaceeditable {
    margin: 0;
    padding: 0;
}

#page-mod-quiz-attempt #next-activity,
#page-mod-quiz-attempt #prev-activity,
#page-mod-quiz-summary #prev-activity,
#page-mod-quiz-summary #next-activity,
#page-mod-quiz-review .activity_navigation.bottom>nav {
    display: none !important;
}

#page-mod-quiz-report .focus-course-title,
#page-mod-quiz-report .focus-course-main-content,
#page-mod-quiz-report .focus-activity-header,
#page-mod-quiz-report .focus-course-left-panel .activity_nav_list {
    border: var(--blocborder_border) !important;
    box-shadow: var(--blocborder_shadow) !important;
    border-radius: var(--blocborderradius) !important;
    background-color: var(--bg_niv_1) !important;
}

#page-mod-quiz-report .focus-course-main-content {
    padding: 10px 20px !important;
}

#page-mod-quiz-report fieldset.hidden {
    display: block !important;
}

#page-mod-quiz-attempt .focus-activity-header,
#page-mod-quiz-review .focus-activity-header { 
    background-color: var(--bg_niv_1) !important;
}

/* Certificats */

#page-mod-coursecertificate-view .table-dynamic>div {
    overflow: auto;
}

#page-mod-coursecertificate-view .table-dynamic td {
    min-width: fit-content;
}

/* Reengagement */

#page-mod-reengagement-view table .c0 {
    max-width: 50px !important;
    min-width: 50px !important;
}

#page-mod-reengagement-view table .c1 {
    white-space: nowrap;
}

/******************************************
 *              RESPONSIVE
 ******************************************/

@media (max-width: 500px) {

    .activity_nav_list .activity .activityinstance,
    .activity_nav_list .activity .mod-indent-outer {
        width: 100%;
    }
}

@media screen and (max-width: 1200px) and (min-width: 890px) {
    .format-focus .focus-course-row {
        display: flex !important;
        flex-direction: column;
    }

    .focus-course-left-panel:has(.courseimage) {
        margin-bottom: 135px !important;
    }

    .format-focus.path-mod .eticeo-focus-course-mode2 .focus-course-left-panel,
    .format-focus.path-mod .eticeo-focus-course-mode1 .focus-course-left-panel {
        max-height: 70px !important;
    }

    .format-focus .focus-course-title {
        width: 100% !important;
        flex-direction: row;
        align-items: center !important;
    }

    .format-focus .focus-course-title p {
        display: none;
    }

    .format-focus .focus-course-title .eticeoAdvancementCourse {
        margin: 0;
    }

    .format-focus.path-mod .focus-course-left-panel .activity_nav_list {
        max-width: 100% !important;
        display: block !important;
        border: 1px solid #d1d1d6;
    }
}

@media only screen and (max-width: 890px) {
    .format-focus .focus-course-row {
        display: flex !important;
        flex-direction: column;
    }

    .format-focus .focus-course-title {
        width: 100% !important;
        flex-direction: row;
        align-items: center !important;
    }

    .format-focus .focus-course-title p {
        display: none;
    }

    .format-focus .focus-course-title .eticeoAdvancementCourse,
    .format-focus .focus-course-title {
        margin: 0;
    }

    .format-focus .focus-course-left-panel .activity_nav_list {
        width: 100% !important;
        max-width: 100% !important;
        display: block !important;
    }

    .format-focus .time_tracker {
        top: 80px !important;
    }

}

@media screen and (max-width: 768px) {
    .format-focus .focus-course-title .start-course-container {
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        padding: 20px;
    }

    .path-mod .focus-course-title,
    .format-focus.path-mod .focus-course-left-panel {
        min-width: 100% !important;
    }
}

@media screen and (min-width: 601px) and (max-width: 1200px) {
    .format-focus.path-mod .start-course-container {
        width: 40%;
    }

    .format-focus.path-mod .focus-course-title > a {
        padding-bottom: 0 !important;
        width: 60%;
    }

    .activity_nav_list .activity .activityinstance,
    .activity_nav_list .activity .mod-indent-outer {
        width: 100%;
    }
}

@media screen and (max-width: 600px) {
    .format-focus.path-course .focus-course-main-content {
        width: 100%;
    }

    .format-focus.path-mod .focus-course-title a {
        padding-bottom: 0 !important;
    }

    .format-focus.path-course .focus-course-left-panel {
        margin: 0;
        min-width: auto;
        width: inherit;
    }

    .format-focus .activity_nav_list .activity .mod-indent-outer {
        width: inherit;
        min-width: inherit;
        display: block;
        max-width: inherit;
    }

    .format-focus.path-mod .start-course-container {
        min-width: auto;
    }

    .focus-activity-navigation .nav_icon .fa {
        font-size: 15px;
    }

    #prev-activity,
    #next-activity {
        padding: 0;
    }

    .format-focus.path-mod .nav_icon {
        font-size: 10px;
    }

    .path-mod .activity-information .completion-info {
        flex-direction: column;
    }

    .format-focus.path-mod #time_tracker_activity {
        font-size: 1.7vh;
        margin-top: 10px;
    }

    .format-focus .focus-course-title {
        width: 100% !important;
        flex-direction: column !important;
        padding: 15px 5px;
        align-items: center !important;
    }

    .format-focus .focus-course-title h2 {
        text-align: center;
        padding-top: 20px;
    }

    .format-focus.path-mod .start-course-container {
        border-top: var(--blocborder_border);
    }

    .format-focus.path-mod .activity_footer .row {
        display: grid;
    }

    .format-focus.path-mod .activity_footer #prev-activity {
        grid-column: 1 !important;
        grid-row: 1;
        max-width: 100%;
    }

    .format-focus.path-mod .activity_footer #next-activity {
        grid-column: 2 !important;
        grid-row: 1;
        max-width: 100%;
    }

    .format-focus.path-mod .activity_footer .row>.col-4 {
        grid-column: 1/3 !important;
        grid-row: 2;
        max-width: 100%;
    }
}

@media screen and (min-width: 992px) {

    .format-focus.path-course .eticeo-focus-course-mode2 .focus-course-left-panel {
        overflow: hidden;
        width: fit-content !important;
        border: none;
        border-radius: var(--blocborderradius);
    }
}

@media screen and (min-width: 1200px) {

    .format-focus.path-mod .start-course-container {
        border-top: var(--blocborder_border);
    }

    .format-focus.path-mod .details {
        display: block !important;
    }

    .format-focus.path-course .focus-course-left-panel .details {
        display: block !important;
    }
}

@media screen and (max-width: 1200px) {
    .format-focus .activity_nav_list #accordion-0 p::after {
        content: "\E13A";
        font-family: 'Phosphor';
        font-size: 20px;
        float: right;
        margin-right: var(--space-sm);
    }

    .format-focus .activity_nav_list #accordion-0 p.active::after {
        content: "\E136";
    }

    .format-focus .btn-start-course:not(.mobile-button) {
        position: static !important;
    }

    .format-focus .btn-start-course {
        position: fixed;
        bottom: 30px;
        left: 0;
        display: flex;
        justify-content: center;
        width: -moz-available;
        width: -webkit-fill-available;
        max-width: fit-content;
        margin: auto;
    }

    .deploy-menu-button {
        display: block !important;
    }

    .path-mod .eticeo-focus-course-mode2 .focus-course-title,
    .format-focus.path-mod .eticeo-focus-course-mode2 .focus-course-left-panel,
    .path-mod .eticeo-focus-course-mode1 .focus-course-title,
    .format-focus.path-mod .eticeo-focus-course-mode1 .focus-course-left-panel {
        max-width: 100% !important;
        width: 100% !important;
        margin: 9px 0;
    }
}

@media screen and (max-width: 890px) {
    .format-focus .activityinstance .custom-mod-icon.right {
        left: calc(100vw - 188px);
    }
}

@media screen and (max-width: 768px) and (min-width: 500px) {

    .format-focus.path-mod .focus-course-left-panel {
        min-width: 400px !important;
    }
}